MBeanExportException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jmx.export

## Class MBeanExportException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.jmx.JmxException
          - - org.springframework.jmx.export.MBeanExportException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    UnableToRegisterMBeanException

      public class MBeanExportException
      extends JmxException

  Exception thrown in case of failure when exporting an MBean.
  Since:
    2.0
  Author:
    Rob Harrop
  See Also:
    `MBeanExportOperations`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBeanExportException(String msg)` Create a new `MBeanExportException` with the specified error message.
    `MBeanExportException(String msg, Throwable cause)` Create a new `MBeanExportException` with the specified error message and root cause.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MBeanExportException

          public MBeanExportException(String msg)

      Create a new `MBeanExportException` with the specified error message.
      Parameters:
        `msg` - the detail message

    - #### MBeanExportException

          public MBeanExportException(String msg,
                              Throwable cause)

      Create a new `MBeanExportException` with the specified error message and root cause.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause